fuss-server - Segnalazione #305

esclusione di localhost su wpad.dat
06/12/2017 01:32 PM - Christopher R. Gabriel

Status: Chiuso Start date: 06/12/2017
Priority: Alta Due date:

Assignee: Christopher R. Gabriel % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Bisogna escludere anche localhost/127.0.0.1 dalla configurazione fornita dal wpad.dat, altrimenti non si riesce ad accedere, senza
autenticarsi prima sul proxy, a servizi locali (es. cups sulla 631)

Associated revisions

Revision b8b2fa31 - 06/12/2017 02:23 PM - Elena Grandi
localhost in the wpad should have 255.0.0.0 as the netmask. refs: #305

Revision b1f8ef50 - 06/22/2017 10:56 AM - Christopher R. Gabriel
refs #305

version bump

History

#1 - 06/12/2017 01:40 PM - Christopher R. Gabriel

- Assignee set to Elena Grandi

#2 - 06/12/2017 02:07 PM - Elena Grandi

- Status changed from Nuovo to In elaborazione
#3 - 06/12/2017 02:25 PM - Elena Grandi
- Status changed from In elaborazione to Commenti

- Assignee changed from Elena Grandi to Christopher R. Gabriel

Come trovato da cgabriel, 127.0.0.1 c'era, ma gli si doveva mettere netmask 255.0.0.0.

Pushato sul repository, fard il pacchetto nuovo appena sono finite le altre modifiche

#4 - 06/12/2017 02:31 PM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Elena Grandi

Ok grazie, riassegnamelo quando c'e' nuovo pacchetto

#5 - 06/16/2017 03:28 PM - Elena Grandi
- Assignee changed from Elena Grandi to Christopher R. Gabriel

Incluso in fuss-server 8.0.14-1, appena pubblicata sul repo
#6 - 06/16/2017 03:39 PM - Christopher R. Gabriel
- Assignee changed from Christopher R. Gabriel to Elena Grandi

Installato nuovo pacchetto, verificato che il wpad pubblicato fosse aggiornato, pero' firefox sul client, quando cerco di collegarmi a localhost:631, mi
chiede ancora autorizzazione.

Altra cosa strane, se cerco di collegarmi su "localhost", vedo la pagina di default di debian.. ma sul client non c'e'nessun webserver, sospetto che sia
quella del server (il proxy risolve "localhost" sul server, visto che gira Ii')

#7 - 06/19/2017 02:24 PM - Elena Grandi

- Assignee changed from Elena Grandi to Christopher R. Gabriel

Questo perché firefox non usa il wpad ma la configurazione proxy di sistema.
Nel branch t305 di fuss-client ci sono due modifiche:
e Configurare firefox per usare il wpad.dat
¢ Configurare il sistema per non usare il proxy per i domini localhost e quello locale, e per gli indirizzi 127.0.0.0 e 127.0.0.1 (purtroppo per il

sistema non si puo specificare un range di indirizzi).

La seconda modifica serve per eventuali altri tool/browser installati.
La prima non & a questo punto strettamente necessaria per il funzionamento, ma copre gli indirizzi numerici in generale.

#8 - 06/19/2017 05:45 PM - Christopher R. Gabriel
- Assignee changed from Christopher R. Gabriel to Elena Grandi

Ho preso t305, fatto build e installato sul client il pacchetto, fatto fuss-client -r e poi fuss-client -a.

Quale e'il risultato atteso? lo mi ritrovo con firefox che non esce da nessuna. Nelle impostaizoni di rete trovo spuntata "Usa questo url per la
configurazione di rete" ma poi il campo dove mettere I'url €' vuoto.

Se abilito "Rileva automaticamente impostazioni di rete" allora navigo (mi chiede autenticazione) ma continua a fallire per localhost:631

#9 - 06/20/2017 10:40 AM - Elena Grandi

- Assignee changed from Elena Grandi to Christopher R. Gabriel

Uh, missa che quando I'ho provato era rimasto impostato manuale e non aveva preso la modifica.

C'era il magic number sbagliato, adesso c'e quello giusto e I'impostazione dovrebbe essere "Individua automaticamente...".

#10 - 06/20/2017 11:20 AM - Elena Grandi

C'era pero un problema col wpad che funzionava per "127.0.0.1", ma continuava a far passare dal proxy per "localhost". Fixato anche quello sul
fuss-server nel branch t305.
#11 - 06/22/2017 10:58 AM - Christopher R. Gabriel

- Status changed from Commenti to Chiuso

Ok, verificato. Eseguito merge di feature branch e pubblicato fuss-server 8.0.15-1
